choose template .tpl needs styling

Bug #1598962 reported by Robert Lyon on 2016-07-04
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Medium
Robert Lyon
15.10
Medium
Unassigned
16.04
Medium
Unassigned

Bug Description

To test:

1) On an installed site go to a page's edit screen, and make note if the id in the url eg id=50
2) Via database set that view's theme to something non-existant, eg:

 UPDATE view SET theme = 'thundercats' WHERE id = 50;

3) Reload the page - you should be taken to a 'choose theme' page

Reviewed: https://reviews.mahara.org/6643
Committed: https://git.mahara.org/mahara/mahara/commit/c021f20b0f692dcdd16c67f4237eb93fa58858f1
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit c021f20b0f692dcdd16c67f4237eb93fa58858f1
Author: Robert Lyon <email address hidden>
Date: Tue Jul 5 11:09:43 2016 +1200

Bug 1598962: Styling the choose template .tpl

To be more inline with bootstrap stylings

Also passing in $view object so we can find the user's default theme
if the view's one doesn't exist rather than defaulting to 'default'

behatnotneeded

Change-Id: Ia4cc0552604698a1fd1aa2f6de666e82b6b86564
Signed-off-by: Robert Lyon <email address hidden>

Son Nguyen (ngson2000) on 2016-07-19
Changed in mahara:
status: In Progress → Fix Committed
Robert Lyon (robertl-9) on 2016-10-21
Changed in mahara:
status: Fix Committed → Fix Released
Mahara Bot (dev-mahara) wrote :

Patch for "15.10_STABLE" branch: https://reviews.mahara.org/7200

Reviewed: https://reviews.mahara.org/7200
Committed: https://git.mahara.org/mahara/mahara/commit/3c3e2a2822ceeb939856910ce6485028d7c10ff4
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.10_STABLE

commit 3c3e2a2822ceeb939856910ce6485028d7c10ff4
Author: Robert Lyon <email address hidden>
Date: Tue Jul 5 11:09:43 2016 +1200

Bug 1598962: Styling the choose template .tpl

To be more inline with bootstrap stylings

Also passing in $view object so we can find the user's default theme
if the view's one doesn't exist rather than defaulting to 'default'

behatnotneeded

Change-Id: Ia4cc0552604698a1fd1aa2f6de666e82b6b86564
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit c021f20b0f692dcdd16c67f4237eb93fa58858f1)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7199
Committed: https://git.mahara.org/mahara/mahara/commit/688b7b225d0277aede141a9fd9e79278f0709752
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.04_STABLE

commit 688b7b225d0277aede141a9fd9e79278f0709752
Author: Robert Lyon <email address hidden>
Date: Tue Jul 5 11:09:43 2016 +1200

Bug 1598962: Styling the choose template .tpl

To be more inline with bootstrap stylings

Also passing in $view object so we can find the user's default theme
if the view's one doesn't exist rather than defaulting to 'default'

behatnotneeded

Change-Id: Ia4cc0552604698a1fd1aa2f6de666e82b6b86564
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit c021f20b0f692dcdd16c67f4237eb93fa58858f1)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers